Subject: OpenRC can't find fail2ban-client after update to 3.22

From: paradoor <[email-masked]>
Date: Sat, 31 May 2025 22:58:41 +0000

Hi there,

I'm having a bizarre error.

I updated 3.21 to 3.22, no other changes relevant to fail2ban.

The fail2ban service (stock service, I have made 0 changes to the service; it came from the package manager) fails to start with the output:

 * Caching service dependencies ...                                                                                                                                                                                          [ ok ]
 * Starting fail2ban ...
 * start-stop-daemon: failed to exec `/usr/bin/fail2ban-client': No such file or directory
 * start-stop-daemon: failed to start `/usr/bin/fail2ban-client'
 * Failed to start fail2ban                                                                                                                                                                                                  [ !! ]
 * ERROR: fail2ban failed to start

However, both

# fail2ban-client start

and

# /usr/bin/fail2ban-client start

work.

`ls -l /usr/bin/fail2ban-client`:

-rwxr-xr-x    1 root     root          1409 Oct  8  2024 /usr/bin/fail2ban-client

Can anyone replicate this? What is going on?